MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000923Xdebug(No Category)public2013-02-13 07:462013-05-22 04:51
Reporterdizyart 
Assigned Toderick 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Platformx86_64, Intel i5OSWindows 7OS VersionUltimate SP1
Product Version2.2.1 
Target Version2.2.3Fixed in Version2.2.3 
Summary0000923: copy of issue 0000883, Xdebug + Netbeans + ext/MongoDB crash on MongoCursor instance
DescriptionCopy of http://bugs.xdebug.org/view.php?id=883. [^]

When running a "Debug Project" in NetBeans, whenever MongoCursor object is instantiated,
NetBeans throws a SocketException after 0000002:0000001.5 seconds. If the instances are unset and the
exception-throwing step is skipped (with a breakpoint), the debugging session continues normally.
Steps To Reproduce1.Setup NetBeans to debug with xdebug.
2.Add mongodb extension to PHP.
3.Instantiate a MongoCursor object in code.
4.Step-over to the code (or after it).
5.NetBeans throws a SocketException.

Alternatively
4.Unset MongoCursor instance
5.Set a breaking point in code AFTER the unset.
6.Skip over the part where the instance is in memory.
7.NetBeans continues
Additional InformationALL additional information (very exhaustive list) is in the uploaded test file.

Also found on https://gist.github.com/dizyart/4942925 [^]
Tagsmongodb, netbeans, socket exception
Operating SystemWindows 7
PHP Version5.4.6
Attached Filestxt file icon test.php.txt [^] (118,593 bytes) 2013-02-13 07:46 [Show Content]
? file icon test.php [^] (118,593 bytes) 2013-02-13 07:50

- Relationships

-  Notes
(0002427)
dizyart (reporter)
2013-02-13 07:52

Copying my versions here, for easier review:


#### Versions ####
PHP 5.4.6
Xdebug 2.2.1
Server version: Apache/2.2.23 (Win32)
NetBeans Version: NetBeans IDE 7.2.1 (Build 201210100934)
Java: 1.7.0_13; Java HotSpot(TM) Client VM 23.7-b01
System: Windows 7 version 6.1 running on x86 (64); Cp1250; en_US (nb)
MongoDB PHP extension: 1.3.1
(0002428)
dizyart (reporter)
2013-02-13 08:11
edited on: 2013-02-13 08:12

Just checked with Mongo 1.2.12:
extension=php_mongo-1.2.12-5.4-vc9.dll

No change in behavior.

Just change the first line to:

$connection = (class_exists('MongoClient')) ? new MongoClient() : new Mongo();

Makes it compatible with all versions of php_mongo

(0002461)
derick (administrator)
2013-05-14 19:11

Fixed for xdebug 2.2.3

- Issue History
Date Modified Username Field Change
2013-02-13 07:46 dizyart New Issue
2013-02-13 07:46 dizyart File Added: test.php.txt
2013-02-13 07:49 dizyart Tag Attached: mongodb
2013-02-13 07:49 dizyart Tag Attached: netbeans
2013-02-13 07:49 dizyart Tag Attached: socket exception
2013-02-13 07:50 dizyart File Added: test.php
2013-02-13 07:52 dizyart Note Added: 0002427
2013-02-13 08:11 dizyart Note Added: 0002428
2013-02-13 08:12 dizyart Note Edited: 0002428 View Revisions
2013-05-14 19:11 derick Note Added: 0002461
2013-05-14 19:11 derick Status new => closed
2013-05-14 19:11 derick Assigned To => derick
2013-05-14 19:11 derick Resolution open => fixed
2013-05-14 19:12 derick Fixed in Version => 2.2.3
2013-05-22 04:51 derick Target Version => 2.2.3
2016-07-31 13:35 derick Category Debug client (console) => debugclient (debugging tool)
2016-07-31 13:35 derick Category debugclient (debugging tool) => (No Category)


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker